<!-- Copyright (c) 2026 defconxt. All rights reserved. -->
<!-- Licensed under AGPL-3.0 — see LICENSE file for details. -->
<!-- NERF is a trademark of defconxt. -->
# Performing Format String Exploitation — API Reference

## Agent Script

| Command | Description |
|---------|-------------|
| `analyze --binary <val>` | Analyze binary for format string sinks |
| `leak --binary <val> --offset <val>` | Leak stack/heap values via format string |
| `exploit --binary <val> --offset <val> --target-addr <val>` | Build format string write primitive |
| `report --binary <val> --format <val>` | Generate exploitation report |

## Parameters

| Parameter | Type | Required | Description |
|-----------|------|----------|-------------|
| `--binary` | string | Yes | Binary parameter |
| `--offset` | string | Yes | Offset parameter |
| `--target-addr` | string | Yes | Target Addr parameter |
| `--format` | string | Yes | Format parameter |
